=== debian/control ===
Source: liblxqt
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libdrm-dev [!hurd-any],
 libkf5windowsystem-dev (>= 5.9),
 libqt5x11extras5-dev (>= 5.3),
 libqt5xdg-dev (>= 1.2.0),
 libx11-dev,
 pkg-config,
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/liblxqt
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/liblxqt.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git

Package: liblxqt0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: liblxqt-qt5-0 (<< 0.9.0)
Replaces: liblxqt-qt5-0 (<< 0.9.0)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 liblxqt0 (= ${binary:Version}),
Breaks: liblxqt-qt5-0-dev (<< 0.9.0)
Replaces: liblxqt-qt5-0-dev (<< 0.9.0)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 liblxqt0 (= ${binary:Version}),
Breaks: liblxqt-qt5-0-dbg (<< 0.9.0)
Replaces: liblxqt-qt5-0-dbg (<< 0.9.0)
Description: Shared libraries for LXQt desktop environment (debug)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the debugging symbols.
