=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake --dbg-package=liblxqt0-dbg --parallel


override_dh_install:
	dh_install --list-missing --fail-missing
