=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    http://downloads.lxqt.org/lxqt/([\d\.]+)/ liblxqt-([\d\.]+)\.tar\.xz
