## liblxqt 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(liblxqt)
 
 set(LXQT_MAJOR_VERSION 0)
-set(LXQT_MINOR_VERSION 9)
+set(LXQT_MINOR_VERSION 10)
 set(LXQT_PATCH_VERSION 0)
 
 include(CMakePackageConfigHelpers)
@@ -145,7 +145,7 @@
 
 QT5_ADD_DBUS_ADAPTOR(SRCS
     dbus/org.lxqt.SingleApplication.xml
-    lxqtsingleapplication.h LxQt::SingleApplication
+    lxqtsingleapplication.h LXQt::SingleApplication
 )
 
 set(LXQT_QT_VERSION "5")
