=== debian/changelog ===
liblxqt (0.10.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental. Ubuntu changes:
  * debian/control:
   - Add a liblxqt-data binary for translations.
   - Make liblxqt0 depends on liblxqt-data.
  * debian/liblxqt0.install & debian/liblxqt-data.install
   - Move translations files to liblxqt-data binary.

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 06 Nov 2015 21:18:07 +0100

liblxqt (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 03 Nov 2015 12:25:16 +0800

liblxqt (0.9.0+20151026-1) experimental; urgency=medium

  * Cherry-picked upstream-version 0.9.0+20151026.
  * Remove --list-missing from rules, it's included in --fail-missing
  * Fixed Symbols

 -- Alf Gaida <agaida@siduction.org>  Thu, 29 Oct 2015 19:05:56 +0100

liblxqt (0.9.0+20150911-2) experimental; urgency=medium

  * Bump version in symbols control file for LxQt to LXQT transition.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Sep 2015 10:28:33 +0800

liblxqt (0.9.0+20150911-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150911. 
  * Removed the libdrm-dev build dependency, as libdrm-dev is thrown in
    by other packages if needed in $architecture 
  * Fixed copyright, only LGPL2.1+ is used
  * Removed breaks/replaces
  * Fixed watch file
  * Fixed Symbols

  [ ChangZhuo Chen (陳昌倬) ]
  * Upload to experimental due to namespace change from LxQt to LXQt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 18 Sep 2015 21:16:59 +0800
