=== debian/control ===
Source: liblxqt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git/?h=debian
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/liblxqt.git -b debian
Homepage: https://github.com/lxde/liblxqt

Package: liblxqt0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblxqt-data
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt-data
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: liblxqt0 (<< 0.9.0+20150911-2ubuntu1)
Breaks: liblxqt0 (<< 0.9.0+20150911-2ubuntu1)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the translations files.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version})
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version})
Description: Shared libraries for LXQt desktop environment (debug)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the debugging symbols.
