=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake --dbg-package=liblxqt0-dbg --parallel


override_dh_install:
	dh_install --fail-missing
