=== debian/changelog ===
liblxqt (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.1.
  * Bumped years in d/copyright
  * Removed build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
   * Added build dependency lxqt-build-tools (>= 0.3.1)
   * Added dependencies:
     - libqt5xdg-dev
     - libqt5xdgiconloader-dev
     - lxqt-build-tools
  * Fixed l-dev.install

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 03:40:10 +0100

liblxqt (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.0.
  * Synced from experimental
  * Bumped build dependency debhelper (>=10)
  * Bump standards to 3.9.8
  * Bump years in copyright
  * Bumped compat to 10
  * Removed --parallel from rules, now standard
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added build dependency libxss-dev
  * Added Recommends liblxqt-l10n
  * Removed grep patch, merged upstream
  * Removed virtual ABI, no longer needed
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed Format field in copyright
  * Fixed VCS fields, use plain /git/ 
  * Fix symbols, only use lxqt-abi-0-11-0
  * Added translation handling in rules
  * Deleted former patches 
  * Added DCMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 12 Jul 2016 21:17:33 +0200

liblxqt (0.10.0-5) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Secured VCS-fields
  * Added hardening=+all
  * patched LXQtTranslateDesktop.cmake - it's already fixed upstream
    but i don't want to catch up with upstream before the upcoming 
    release
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Feb 2016 19:00:57 +0100

liblxqt (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Dec 2015 11:01:53 +0800

liblxqt (0.10.0-3) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update symbols and provide lxqt-abi-0-10.0.
  * Added minimum libqtxdg version.
  * Removed the libdrm-dev build dependency, as libdrm-dev is thrown in
    by other packages if needed in $architecture.
  * Fixed copyright, only LGPL2.1+ is used.
  * Fixed watch file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 00:02:02 +0800

liblxqt (0.9.0+20150806-3) unstable; urgency=medium

  * Provide lxqt-abi-0-9-0
  * Fix VCS-Fields
  * Modify symbols, preparing the migration to 0.10.0 
  * Removed breaks and replaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Nov 2015 18:48:51 +0100
