=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               libqt5svg5-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.3.1)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git -b debian/sid
Homepage: https://github.com/lxde/liblxqt

Package: liblxqt0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 2.0.0),
         libqt5xdgiconloader-dev (>= 2.0.0),
         lxqt-build-tools
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.
