=== debian/changelog ===
liblxqt (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Dec 2017 20:16:30 +0100

liblxqt (0.12.0-4) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 03:17:57 +0100

liblxqt (0.12.0-3) experimental; urgency=medium

  * Fixed needed version to build-tools (>= 0.4.0)

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 00:35:16 +0200

liblxqt (0.12.0-2) experimental; urgency=medium

  * Re-added explicit build dependencies, make the packaging more
    understandable:
    - libqt5xdg-dev (>= 3.1.0)
    - libqt5xdgiconloader-dev (>= 3.1.0)

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 17:28:18 +0200

liblxqt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped dependencies
  * Fixed symbols
  * Added override for dh_missing in rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 14:28:46 +0200

liblxqt (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0
  * Added dependencies desktop-file-utils and shared-mime-info
    (Closes: #866904)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 20:03:10 +0200
