=== debian/control ===
--- 
+++ 
@@ -9,19 +9,23 @@
                libqt5svg5-dev,
                libkf5windowsystem-dev,
                libqt5x11extras5-dev,
+               libqt5xdg-dev (>= 3.1.0),
+               libqt5xdgiconloader-dev (>= 3.1.0),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 0.3.1)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git -b debian/sid
+               lxqt-build-tools (>= 0.4.0)
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git
 Homepage: https://github.com/lxde/liblxqt
 
 Package: liblxqt0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         desktop-file-utils,
+         shared-mime-info
 Recommends: liblxqt-l10n
 Pre-Depends: ${misc:Pre-Depends}
 Description: Shared libraries for LXQt desktop environment (libs)
@@ -38,9 +42,9 @@
 Section: libdevel
 Depends: ${misc:Depends},
          liblxqt0 (= ${binary:Version}),
-         libqt5xdg-dev (>= 2.0.0),
-         libqt5xdgiconloader-dev (>= 2.0.0),
-         lxqt-build-tools
+         libqt5xdg-dev (>= 3.1.0),
+         libqt5xdgiconloader-dev (>= 3.1.0),
+         lxqt-build-tools (>= 0.4.0)
 Description: Shared libraries for LXQt desktop environment (dev)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and
