=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/liblxqt/releases .*/liblxqt-([\d\.]+).tar.xz
