## liblxqt 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 
 project(liblxqt)
 
-set(QT_MINIMUM_VERSION "5.5.0")
+set(QT_MINIMUM_VERSION "5.7.1")
 set(QTXDG_MINIMUM_VERSION "3.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 12)
+set(LXQT_MINOR_VERSION 13)
 #
 # Patch Version, belong *only* to the component
-# LXQt is 0.11 - liblxqt is at patch version 1
+# LXQt is 0.13 - liblxqt is at patch version 0
 # The official LXQt version will follow liblxqt.
 #
 # In a perfect world all components would have the same major- and minor- and
@@ -24,6 +24,8 @@
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
+
+add_subdirectory(lxqtbacklight/linux_backend/driver)
 
 #-----------------------------------------------------------------------------
 # Release is the default build type
@@ -46,6 +48,7 @@
     lxqtprogramfinder.h
 
     configdialog/lxqtconfigdialog.h
+    configdialog/lxqtconfigdialogcmdlineoptions.h
     configdialog/lxqtpageselectwidget.h
 
     lxqtpower/lxqtpower.h
@@ -54,6 +57,9 @@
     lxqtgridlayout.h
     lxqtrotatedwidget.h
     lxqtglobals.h
+    lxqtbacklight.h
+    #lxqtbacklight/virtual_backend.h
+    #lxqtbacklight/linux_backend/linuxbackend.h
 )
 
 set(PUBLIC_CLASSES
@@ -68,6 +74,7 @@
     ProgramFinder
 
     ConfigDialog
+    ConfigDialogCmdLineOptions
     PageSelectWidget
 
     Power
@@ -75,6 +82,8 @@
     AutostartEntry
     GridLayout
     RotatedWidget
+    Globals
+    Backlight
 )
 
 set(SRCS
@@ -89,6 +98,7 @@
     lxqtprogramfinder.cpp
 
     configdialog/lxqtconfigdialog.cpp
+    configdialog/lxqtconfigdialogcmdlineoptions.cpp
     configdialog/lxqtpageselectwidget.cpp
 
     lxqtpower/lxqtpower.cpp
@@ -97,6 +107,9 @@
     lxqtnotification.cpp
     lxqtgridlayout.cpp
     lxqtrotatedwidget.cpp
+    lxqtbacklight.cpp
+    lxqtbacklight/virtual_backend.cpp
+    lxqtbacklight/linux_backend/linuxbackend.cpp
 )
 
 set(MOCS
@@ -105,8 +118,10 @@
     lxqtsettings.h
     lxqtscreensaver.h
     lxqtapplication.h
+    lxqtbacklight.h
 
     configdialog/lxqtconfigdialog.h
+    configdialog/lxqtconfigdialog_p.h
     configdialog/lxqtpageselectwidget.h
 
     lxqtnotification.h
@@ -115,12 +130,23 @@
     lxqtpower/lxqtpowerproviders.h
     lxqtgridlayout.h
     lxqtrotatedwidget.h
+    lxqtbacklight/virtual_backend.h
+    lxqtbacklight/linux_backend/linuxbackend.h
 )
 
 set(FORMS
     configdialog/lxqtconfigdialog.ui
 )
 
+set(POLKIT_FILES
+    "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy"
+)
+
+# Build Polkit file
+configure_file ( polkit/org.lxqt.backlight.pkexec.policy.in "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy" )
+
+file(GLOB LXQT_CONFIG_FILES resources/*.conf)
+
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -130,28 +156,32 @@
 set(CMAKE_AUTOUIC ON)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(X11 REQUIRED QUIET)
+find_package(X11 REQUIRED)
 find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
 find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
-find_package(KF5WindowSystem REQUIRED QUIET)
+find_package(KF5WindowSystem REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
-QT5_ADD_DBUS_INTERFACE(SRCS
+QT5_ADD_DBUS_INTERFACE(DBUS_INTERFACE_SRCS
     dbus/org.freedesktop.Notifications.xml
     notifications_interface
 )
 
-QT5_ADD_DBUS_ADAPTOR(SRCS
+QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
     dbus/org.lxqt.SingleApplication.xml
     lxqtsingleapplication.h LXQt::SingleApplication
 )
 
+set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
+list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")
 
 # KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
 set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
 
 
 # Standard directories for installation
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtCreatePkgConfigFile)
 include(LXQtCreatePortableHeaders)
@@ -284,6 +314,7 @@
         "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
         "LXQT_VERSION=\"${LXQT_VERSION}\""
         "COMPILE_LIBLXQT"
+        "QT_NO_FOREACH"
         "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
         "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
 )
@@ -331,6 +362,13 @@
     COMPONENT Devel
 )
 
+install(FILES ${LXQT_CONFIG_FILES}
+    DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt"
+    COMPONENT Runtime
+)
+
+install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+
 #************************************************
 # Create and install pkgconfig file
 #************************************************
