=== debian/changelog ===
liblxqt (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:48:30 -0700

liblxqt (0.13.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Bumped build dependencies liblqt5xdg* to >= 3.2.0~
  * Bumpde build dependency lxqt-build-tools to >= 0.5.0~
  * Fixed symbols for the new release
  * Added lintian overrides for the helper scripts and configurations
  * Removed multiarch=same - packages will not be co-installable anymore
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 18:49:19 +0200

liblxqt (0.12.0-7) unstable; urgency=medium

  * Really fix VCS-Git
  * Fixed watch file

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 23:02:11 +0200

liblxqt (0.12.0-6) unstable; urgency=medium

  * Fixed Hompage and Source to lxqt
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 18:02:45 +0200
