=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: liblxqt
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
+               libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libkf5windowsystem-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.1.0),
-               libqt5xdgiconloader-dev (>= 3.1.0),
+               libqt5xdg-dev (>= 3.2.0~),
+               libqt5xdgiconloader-dev (>= 3.2.0~),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 0.4.0)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git
-Homepage: https://github.com/lxde/liblxqt
+               lxqt-build-tools (>= 0.5.0~)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
+Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
+Homepage: https://github.com/lxqt/liblxqt
 
 Package: liblxqt0
 Architecture: any
-Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          desktop-file-utils,
@@ -44,7 +45,7 @@
          liblxqt0 (= ${binary:Version}),
          libqt5xdg-dev (>= 3.1.0),
          libqt5xdgiconloader-dev (>= 3.1.0),
-         lxqt-build-tools (>= 0.4.0)
+         lxqt-build-tools (>= 0.5.0~)
 Description: Shared libraries for LXQt desktop environment (dev)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and
